fulfillment-associate-stores-get-many¶
Source¶
Repository:
jef-systems/jef-fulfillment-associate-backendSource Run ID:
25101494786Source SHA:
c226ca62ef6b026753728d0bc8bc0d132f27115dModule:
fulfillment-associateDocumentation Scope:
getLambda:
jef-fulfillment-associate-get-6
Endpoint¶
API Name:
jef-fulfillment-associateAction Name:
getMethod:
GETScope Label:
GETResource Path:
/fulfillment-associate-stores-get-manyComplete Endpoint:
https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-get-6curl payload mode:
query_string
API Gateway Description¶
Function: jef-fulfillment-associate-get-6
API Name: jef-fulfillment-associate
Action: get
Method: GET
Resource Path: /fulfillment-associate-stores-get-many
Table:
- table: jef-fulfillment-associate-stores
- operation: get-many
Payload Schema:
- pk: id
Payload Example:
- pk: store-001
Response Schema:
- exists: boolean
- message: string
- items: [{"id":"string","store_number":"string","store_name":"string","branch_name":"string","store_type":"string","receipt_header_name":"string","receipt_header_subtitle":"string","address_line_1":"string","address_line_2":"string","barangay":"string","city_municipality":"string","province":"string","postal_code":"string","contact_number":"string","email":"string","manager_name":"string","can_fulfill_orders":"boolean","can_receive_transfers":"boolean","is_active":"boolean","notes":"string","created_at":"string","updated_at":"string","idempotency_key":"string"}]
Request Payload¶
{
"pk": "id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"id\":\"string\",\"store_number\":\"string\",\"store_name\":\"string\",\"branch_name\":\"string\",\"store_type\":\"string\",\"receipt_header_name\":\"string\",\"receipt_header_subtitle\":\"string\",\"address_line_1\":\"string\",\"address_line_2\":\"string\",\"barangay\":\"string\",\"city_municipality\":\"string\",\"province\":\"string\",\"postal_code\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"manager_name\":\"string\",\"can_fulfill_orders\":\"boolean\",\"can_receive_transfers\":\"boolean\",\"is_active\":\"boolean\",\"notes\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\"}]"
}
CMD curl¶
curl "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-get-many?pk=store-001"
PowerShell curl¶
curl.exe "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-get-many?pk=store-001"